Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantLocator Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantLocator:

[legend]
Collaboration diagram for PortableServer::ServantLocator:

[legend]
List of all members.

## Public Types
typedef void * | Cookie
typedef ServantLocator_ptr | _ptr_type
typedef ServantLocator_var | _var_type
## Public Methods
virtual::PortableServer::Servant | preinvoke (const PortableServer::ObjectId &oid, PortableServer::POA_ptr adapter, const char *operation, PortableServer::ServantLocator::Cookie &the_cookie ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::ForwardRequest )
virtual void | postinvoke (const PortableServer::ObjectId &oid, PortableServer::POA_ptr adapter, const char *operation, PortableServer::ServantLocator::Cookie the_cookie, PortableServer::Servant the_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ServantLocator_ptr | _duplicate (ServantLocator_ptr obj)
ServantLocator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantLocator_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ServantLocator (void)
virtual | ~ServantLocator (void)
## Private Methods
| ServantLocator (const ServantLocator &)
void | operator= (const ServantLocator &)

## Member Typedef Documentation

typedef ServantLocator_ptr PortableServer::ServantLocator::_ptr_type

| Reimplemented from PortableServer::ServantManager.

typedef ServantLocator_var PortableServer::ServantLocator::_var_type

| Reimplemented from PortableServer::ServantManager.

typedef void* PortableServer::ServantLocator::Cookie

## Constructor & Destructor Documentation

PortableServer::ServantLocator::ServantLocator | ( | void |  | ) | `[protected]`

PortableServer::ServantLocator::~ServantLocator | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantLocator::ServantLocator | ( | const ServantLocator & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantLocator_ptr PortableServer::ServantLocator::_duplicate | ( | ServantLocator_ptr | obj | ) | `[static]`

const char * PortableServer::ServantLocator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from PortableServer::ServantManager.

virtual CORBA::Boolean PortableServer::ServantLocator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from PortableServer::ServantManager.

ServantLocator_ptr PortableServer::ServantLocator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableServer::ServantManager.

ServantLocator_ptr PortableServer::ServantLocator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from PortableServer::ServantManager.

void PortableServer::ServantLocator::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from PortableServer::ServantManager.

CORBA::Boolean PortableServer::ServantLocator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from PortableServer::ServantManager.

void PortableServer::ServantLocator::operator= | ( | const ServantLocator & |  | ) | `[private]`

virtual void PortableServer::ServantLocator::postinvoke | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr | adapter,
|  | const char * | operation,
|  | PortableServer::ServantLocator::Cookie | the_cookie,
|  | PortableServer::Servant the_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableServer::Servant PortableServer::ServantLocator::preinvoke | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr | adapter,
|  | const char * | operation,
|  | PortableServer::ServantLocator::Cookie &the_cookie | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::ForwardRequest )`[pure virtual]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp